Jump to content
dotfusion

Microsoft Security Essentials - v4.2.223.1

Recommended Posts

Update April 13, 2014
 
I will no no longer be updating my add ons which are found throughout this forum. all files will eventually be deleted. Moving forward, I need my online storage for other projects. It was a pleasure to work with Win Toolkit. It is certainly a workhorse that i want in my Deployment Kit. Thanks everyone. I will continue to visit for as long as this project remains active. I really like the community here. PEACE OUT!

 

 

post-40893-0-55977200-1361075164.jpg
 
Microsoft Security Essentials x86/x64 v4.2.223 (Int'l)
Integrated: The latest virus definition version is: 1.145.381.0  |  Released: March 5, 2013 03:49 PM UTC
Integrated: Network Inspection System (NIS) version is: 17.36 / 18.36

About: This installer should work for ALL languages & architectures. Run this installer with /? or /h for detailed language mode (MUI) instructions. The default system language is used if not specified. Add these as silent installers. All switches are optional.

Download:

Link Removed
File: mseinstall_x86_x64_Intl_March_5_2013.exe (159.5 MB)
MD5: 9c5c27ca6c192b8bd09ecc5539295b1a
 

Config:

;!@Install@!UTF-8!GUIMode="2"GUIFlags="8"RunProgram="hidcon:setini.exe \"%%T\\%%P\\setup.ini\" Compat Market RunProgram="%%P\\setup.exe /s /runwgacheck /o"RunProgram="x86:mpam-fe.exe /q"RunProgram="x64:mpam-fe%%P.exe /q"RunProgram="x86:nis_full.exe /q"RunProgram="x64:nis_full%%P.exe /q";Thanks goes out to 'ricktendo' for his insight and guidance in helping me create this installer.;!@InstallEnd@!

Supported Languages:

bg-BG cs-CZ da-DKde-DEel-GRen-USes-ESet-EEfi-FIfr-FRhr-HRhu-HUit-ITja-JPko-KRlt-LTlv-LVnb-NOnl-NLpl-PLpt-BRpt-PTro-ROru-RUsk-SKsv-SEth-THtr-TRuk-UAvi-VNzh-CNzh-TW
Edited by dotfusion

Share this post


Link to post
Share on other sites

What, no credit?

And you are doing it wrong, the updates (mpam-fe*.exe) installers you zipped will not get executed (even if you use /ai.) Leave mpam-fe*.exe outside the archive

BTW I was working on (but stopped) a true AIO MsSecEs istaller, one with ALL languages...You have to download ALL the installers to get the xx-XX sub folders with setup.dll.mui+EULA.RTF and edit setup.ini to remove Market=EN-US

This should now install correctly on any language Windows...

Share this post


Link to post
Share on other sites

What, no credit?

 

Sorry, Updated with a note with credit info.

 

And you are doing it wrong, the updates (mpam-fe*.exe) installers you zipped will not get executed (even if you use /ai.) Leave mpam-fe*.exe outside the archive

 

When you say leave mpam-fe*.exe outside the archive, do you mean outside the SFX or outside the x86 / x64 directory in the 7zip file. Can you elaborate please.

 

BTW I was working on (but stopped) a true AIO MsSecEs istaller, one with ALL languages...You have to download ALL the installers to get the xx-XX sub folders with setup.dll.mui+EULA.RTF and edit setup.ini to remove Market=EN-US

This should now install correctly on any language Windows...

 

I'm also planning to continue your work with an all languages add-on / installer, that it if its okay with you. I presumed you had discontinued work on Security Essentials base on a post I saw in Installer Repack Requests

Edited by dotfusion

Share this post


Link to post
Share on other sites

Yes, I mean outside next to your installer.
 

<your_installer>.exempam-fe.exempam-fex64.exe 


If you look in the config.txt you will find %%S, this will translate to the path/folder your sfx is run from
 

%%M - SFX Archive Name Without Path
%%S - Full Path To The SFX Archive
%%T - The Full Path Extraction


Yes you may use my idea to make a All Lang In One installer (ALIO ;) ) you just need to remove that from setup.ini (I only tested it and confirmed it works on XP Spanish)

 

Edit: You may also want to update to 4.2, if you look at the setup.ini on this one it has removed the en-US and it already has all the xx-XX folders for all languages

 

x86: http://download.windowsupdate.com/msdownload/update/software/crup/2013/02/updateinstall_3ad554dd391f1d754ddd279e76cdc823d44244d8.exe

 

x64: http://download.windowsupdate.com/msdownload/update/software/crup/2013/02/updateinstall_ebd2cb6d79da21ae1fb45a192a460b132d788f77.exe
 

Share this post


Link to post
Share on other sites

Thanks, Rick, I couldn't find any documentation on %S parameter for the 7zSD custom module, so i took a shot in the dark. I will post an update in the next day or so. Your insight would be much appreciated. Best Regards.

 

Yes, I mean outside next to your installer.
 

<your_installer>.exempam-fe.exempam-fex64.exe 


If you look in the config.txt you will find %%S, this will translate to the path/folder your sfx is run from.

Edited by dotfusion

Share this post


Link to post
Share on other sites

@Rick,  MSSE 4.2 isn't final yet.  I can only find the pre-release.

The Pre-release is here: http://www.microsoft.com/en-us/download/details.aspx?id=29942

 

When you go to the official download pages you can only get 4.1

http://windows.microsoft.com/en-US/windows/security-essentials-download

http://www.microsoft.com/en-us/download/details.aspx?id=5201

 

But the pre-release version is 4.2.216.0 and the version you linked to is 4.2.223.0 but it appears to only be an update, not a full installer.

Weird!

Share this post


Link to post
Share on other sites

I compared the MSI's and they both have the same amount of files, this indicates to me that its the FULL package not like a MSP with only the updated files and about it not being final, MU is offering it if you have 4.1 (at least it did for me)

 

Edit: dotfusion, you should use these links for MSE updates (the 64 bit has x64 in the filename, the installer needs this to distinguish)

 

x86: http://go.microsoft.com/fwlink/?LinkID=87342

x64: http://go.microsoft.com/fwlink/?LinkID=87341

Share this post


Link to post
Share on other sites

Since you are making a package with the definitions as well you should think about adding NIS

http://www.wincert.net/forum/topic/11016-repak-microsoft-security-essentials-x86x64-v42223-intl/?p=95953

Feel free to use any config.txt code from my repack (you should at least grab all the languages and edit setup.ini to remove Market so you have a true AIO)

Share this post


Link to post
Share on other sites

@ricktendo

 

Thanks for your insight on NIS, I will add it to the package today. As for the all languages in one (intl) I left them out because I felt adding it to my package would overlap with your repack. However, now that you mention it, if you don't mind, I'll do it. Thanks for your permission to adopt some of your config.txt

 

The only thing would be to remove the Market="EN-US" from setup.ini right? That would auto install the lang. native to that specific machine right?

 

Since you are making a package with the definitions as well you should think about adding NIS

http://www.wincert.net/forum/topic/11016-repak-microsoft-security-essentials-x86x64-v42223-intl/?p=95953

Feel free to use any config.txt code from my repack (you should at least grab all the languages and edit setup.ini to remove Market so you have a true AIO)

Share this post


Link to post
Share on other sites

Yep, remove that in setup.ini and it should automatically set your current language as the default one

 

You pack and mine are different, mine is not a wtk addon and with mine you need to provide the updates and make it silent (yours is for the toolkit advanced user, mine is more for the regular user but can also be used by advanced users)

Share this post


Link to post
Share on other sites

Thanks rick, I use your more advance pack on a build I use for corp. installs. i find it quite flexible. But i also like the simplicity of mine, exactly for the reasons you said ... Thanks again for your insight.

Edited by dotfusion

Share this post


Link to post
Share on other sites

Updated

 

- Integrated Virus Definitions (Feb 23, 2013)

- Added all available languages (int'l) :)

- Cleaned up  configuration file

Edited by dotfusion

Share this post


Link to post
Share on other sites

Updated...

 

Integrated: The latest virus definition version is: 1.145.381.0 | Released: Feb 23, 2013 09:51 PM UTC

Integrated: Network Inspection System (NIS) version is: 17.36 / 18.36

 

 

Updated...now you can force the installation language

<installer>.exe xx-XX and/or <installer>.exe /ai xx-XX
Thanks to McRip for the SetIni suggestion, it was tough figuring out how to do this but turns out the solution was very simple
Edited by dotfusion

Share this post


Link to post
Share on other sites

Thanks for the good work. Now to my problem.
I want to install this silent but it is not. Have tried / ai sv-SE as a switch does not work.

Any tips for me. Thanks in advance

Edited by Sven

Share this post


Link to post
Share on other sites

When I try to install with / ai sv-SE, I get error Could not find command for "AutoInstall"

 

Same at / ai


Installation without switching see Picture

 

mse.PNG

 

Windows 7 ultimate 64-bit Swedish

Edited by Sven

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...